<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Форум';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Если гость,то...-----//
if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}

##############################
########## Главная ###########
##############################
switch($_GET['act']) {
default:

echo '<div class="title">'.$title.'</div>';

require_once ('menu.php');

$forum_r = mysql_query("SELECT * FROM `forum_razdel` ORDER BY `id` DESC");
while($a = mysql_fetch_assoc($forum_r))
{
echo '<div class="podmenu">
<img src="/images/category.png">
<a href="/forum/razdel'.$a['id'].'">'.$a['name'].'</a> ['.mysql_result(mysql_query('select count(`id`) from `forum_kat` where `razdel` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_tema` where `razdel` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_post` where `razdel` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/forum/del_razdel'.$a['id'].'">удалить</a>|<a href="/forum/red_razdel'.$a['id'].'">редактир</a>]';
echo '<br />'.smile(bb($a['opis'])).'</div>';
}

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` "),0);
if($count < 1) echo '<div class="podmenu"><b><center>Разделов пока что нет!</center></b></div>';

require_once ('footers.php');

if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nr">Новый раздел</a></div>';

break;
##############################
### Редактирование раздела ###
##############################
case 'red_razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/">'.$forum_r['name'].'</a> | Редактирование</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание раздела!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название раздела!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `forum_razdel` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
Имя раздела:<br /> <input type="text" name="name" value="'.$forum_r['name'].'"/><br />
Описание:<br /><textarea name="opis">'.$forum_r['opis'].'</textarea><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/forum/">Назад в разделы</a></div>';

break;
##############################
## Редактирование категории ##
##############################
case 'red_kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого подраздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_k['name'].'</a> | Редактирование категории</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);

if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название категории!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `forum_kat` SET `name` = '".$name."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
Название категории:<br /> <input type="text" name="name" value="'.$forum_k['name'].'"/><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">Назад в подразделы</a></div>';


break;
##############################
##### Удаление категории #####
##############################
case 'del_kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));

if($forum_k == 0) {
echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Ошибка</div><div class="podmenu"><center><b>Такого подраздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `forum_kat` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_tema` where `kat` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `kat` = '".$id."'");
header('Location: '.$HOME.'/forum/razdel'.$forum_k['razdel'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Удаление подраздела</div>
<div class="podmenu">Вы действительно хотите удалить этот подраздел?<br /><a href="'.$HOME.'/forum/del_kat'.$id.'?ok">Да</a></div>';

break;
##############################
###### Удаление раздела ######
##############################
case 'del_razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `forum_razdel` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_kat` where `razdel` = '".$id."'");
mysql_query("DELETE FROM `forum_tema` where `razdel` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `razdel` = '".$id."'");
header('Location: '.$HOME.'/forum');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Удаление раздела</div>
<div class="podmenu">Вы действительно хотите удалить этот раздел?<br /><a href="'.$HOME.'/forum/del_razdel'.$id.'?ok">Да</a></div>';

break;
##############################
######## Новый раздел ########
##############################
case 'nr':

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | Новый раздел</div>';

require_once ('menu.php');

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 3) $err= 'Минимум для ввода 3 символа!';
if(empty($opis)) $err= 'Введите описание раздела!';
if(mb_strlen($name) < 3) $err= 'Минимум для ввода 3 символа!';
if(empty($name)) $err= 'Введите название раздела!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `forum_razdel` SET `name` = '".$name."',`opis` = '".$opis."'");
echo '<div class="podmenu"><center><b>Раздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
Имя раздела:<br /> <input type="text" name="name" value=""/><br />
Описание:<br /><textarea name="opis"></textarea><br />
<input type="submit" name="submit" value="Создать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/">Назад в форум</a></div>';

break;
##############################
######## Вывод раздела #######
##############################
case 'razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | '.$forum_r['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_kat` WHERE `razdel` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_k = mysql_query("SELECT * FROM `forum_kat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($forum_k))
{
echo '<div class="podmenu"> <img src="/images/category.png"> <a href="/forum/kat'.$a['id'].'">'.$a['name'].'</a>
['.mysql_result(mysql_query('select count(`id`) from `forum_tema` where `kat` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_post` where `kat` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/forum/del_kat'.$a['id'].'">удалить</a>|<a href="/forum/red_kat'.$a['id'].'">редактир.</a>]';
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном разделе категорий пока нет!</center></b></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nk'.$id.'">Новый подраздел</a></div>';

require_once ('footers.php');

if($k_page>1) echo str(''.$HOME.'/forum/razdel'.$id.'?',$k_page,$page); // Вывод страниц

break;
##############################
####### Вывод категории ######
##############################
case 'kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | '.$forum_k['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `kat` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_t = mysql_query("SELECT * FROM `forum_tema` WHERE `kat` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nt'.$id.'">Новая тема</a></div>';

while($a = mysql_fetch_assoc($forum_t))
{

if($a['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu">
<img src="/images/'.$icon.'.png" alt="*">  <a href="/forum/tema'.$a['id'].'">'.$a['name'].'</a>
('.mysql_result(mysql_query('select count(`id`) from `forum_post` where `tema` = "'.$a['id'].'" and `kat` = "'.$id.'" '),0).') <a href="/forum/tema'.$a['id'].'?selection=top">>></a><br />
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном подразделе тем нет!</center></b></div>';
if($k_page > 1) echo str(''.$HOME.'/forum/kat'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('footers.php');

break;
##############################
######### Новая тема #########
##############################
case 'nt':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой категории не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/kat'.$forum_k['id'].'">'.$forum_k['name'].'</a> | Новая тема</div>';

require_once ('menu.php');

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$text = strong($_POST['text']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Вы не ввели название темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($text)) {
echo '<div class="podmenu"><center><b>Вы не ввели текст темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 4) {
echo '<div class="podmenu"><center><b>Короткий текст темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tema_spam = mysql_fetch_array(mysql_query('select * from `forum_tema` where `us` = "'.$user['id'].'" and `name` = "'.$name.'"'));
if($tema_spam != 0) {
echo '<div class="podmenu"><center><b>Вы такую тему уже создавали!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_tema` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_tema` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_tema']) {
echo '<div class="podmenu"><center><b>Создавать тему можно раз в '.$forum_antispam['forum_tema'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `forum_tema` SET `name` = '".$name."',`razdel` = '".$forum_r['id']."',`kat` = '".$id."',`text` = '".$text."',`status` = '0',`us` = '".$user['id']."',`time` = '".time()."',`up` = '".time()."'");
$sql = mysql_insert_id();
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$id."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$sql."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$sql.'');
exit();
}

echo '<div class="podmenu"><form action="" method="POST">
Название темы:<br /> <input type="text" name="name" value=""/><br />
Текст:<br /><textarea name="text"></textarea><br />
<input type="submit" name="submit" value="Создать" />
</form></div>';

require_once ('footers.php');

break;
##############################
####### Новая категория ######
##############################
case 'nk':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | Новый подраздел</div>';

require_once ('menu.php');

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);

if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название подраздела!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `forum_kat` SET `razdel` = '".$id."',`name` = '".$name."'");
echo '<div class="podmenu"><center><b>Подраздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">
Название:<br /> <input type="text" name="name" value=""/><br />
<input type="submit" name="submit" value="Создать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">Назад в раздел</a></div>';

break;
##############################
######### Вывод темы #########
##############################
case 'tema':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));
$forum_zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_zaklad` WHERE `tema` = '".$id."' and `us` = '".$user['id']."' "));

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/kat'.$forum_k['id'].'">'.$forum_k['name'].'</a> | '.$forum_t['name'].'</div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us` = '".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_k['id']."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
/////////// Уведомление ////////////
if($user['id'] != $forum_t['us']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$forum_t['us']."', `kto` = '".$user['id']."', `text` = 'написал в вашей[url=".$HOME."/forum/tema".$id."?selection=top]теме[/url]'");
}
/////////// Уведомление ////////////
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `tema` = '".$id."' and `kat` = '".$forum_t['kat']."' and `razdel` = '".$forum_t['razdel']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$k_post = $start+1;
$post = mysql_query("SELECT * FROM `forum_post` WHERE  `tema`='".$id."' ORDER BY `id` LIMIT $start,$max");

echo '<div class="podmenu"><a href="/forum/tema'.$id.'?selection=top">Обновить</a> ';

if($forum_zaklad == 0) {
echo ' | <a href="/forum/zaklad'.$id.'">В закладки</a>';
} else {
echo ' | <a href="/forum/zaklad'.$id.'">Удалить из закладок</a>';
}

if($forum_t['status'] == 0) {
if($user['level'] >= 2) echo ' | <a href="/forum/tema_close'.$id.'">Закрыть тему</a>';
} else {
if($user['level'] >= 2) echo ' | <a href="/forum/tema_close'.$id.'">Открыть тему</a>';
}

if($user['level'] >= 2) echo ' | <a href="/forum/tema_del'.$id.'">Удалить</a>';

echo '</div>';

if($forum_t['status'] == 1) {
echo '<div class="podmenu">Тема закрыта для обсуждения!</div>';
}

while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.$k_post++.'. '.nick($a['us']).'  ['.vremja($a['time']).']';

/*** Действия ***/
if($user['level'] >= 2) echo ' [<a href="/forum/post_del'.$a['id'].'">уд</a>] ';
if($user['id'] == $a['us'] or $user['level'] >= 2) echo ' [<a href="/forum/post_red'.$a['id'].'">ред</a>] ';
if($user['id'] != $a['us']) echo ' [<a href="/forum/post_otvet'.$a['id'].'">отв</a>] ';
if($user['id'] != $a['us']) echo ' [<a href="/forum/post_citata'.$a['id'].'">цит</a>] ';
/*** Действия ***/

echo '</div> <div class="podmenu">';

if(!$a['citata'] == NULL) echo 'Цитата:<br /><div class="cit">'.nick($a['citata_us']).': '.nl2br(smile(bb($a['citata']))).'</div>';

echo ''.nl2br(smile(bb($a['text']))).'</div>';
}

if($forum_t['status'] == 0) {
echo '<div class="podmenu"><form action="" method="POST">
Текст сообщения:<br /><textarea name="text"></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';
}

$gde = '/forum/tema'.$id.'';

echo '<div class="podmenu"><b>Модераторы:</b> ';

$mod = mysql_query("SELECT * FROM `users` WHERE `gde` LIKE '%".$gde."%' and `level` >= '1' and `viz` > '".(time()-60)."'");
$mod_sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` where `gde` like '%".$gde."%' and `level` >= '1' and `viz` > '".(time()-60)."' "),0);
while($mo = mysql_fetch_assoc($mod))
{
echo ''.nick($mo['id']).', ';
}

if($mod_sql == 0) echo 'модераторов в данной теме нет!';

echo '</div>';

echo '<div class="podmenu">
<a href="'.$HOME.'/forum/rules.php"><b>Правила</b></a> |
<a href="'.$HOME.'/smile/">Смайлы</a> | <a href="'.$HOME.'/bb.php">BB коды</a> |
<a href="'.$HOME.'/forum/tema'.$id.'/who">Кто в теме</a> ('.mysql_result(mysql_query('select count(`id`) from `users` where `gde` LIKE "%'.$gde.'%"  and `viz` > "'.(time()-60).'"'),0).')
</div>';

if ($k_page>1) echo str(''.$HOME.'/forum/tema'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'zaklad':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_zaklad` WHERE `tema` = '".$id."' and `us` = '".$user['id']."' "));

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_zaklad == 0) {
mysql_query("INSERT INTO `forum_zaklad` SET `tema` = '".$id."',`us` = '".$user['id']."' ");
header('Location: '.$HOME.'/forum/tema'.$id.'?selection=top');
exit();
} else {
mysql_query("DELETE FROM `forum_zaklad` where `id` = '".$forum_zaklad['id']."'");
header('Location: '.$HOME.'/forum/tema'.$id.'?selection=top');
exit();
}


break;
case 'tema_close':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));

if($user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 0) {
mysql_query("UPDATE `forum_tema` SET `status` = '1', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема закрыта для обсуждения :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
} else {
mysql_query("UPDATE `forum_tema` SET `status` = '0', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема открыта для обсуждения :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}

break;
case 'tema_del':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));

if($user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("DELETE FROM `forum_tema` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `tema` = '".$id."'");
header('Location: '.$HOME.'/forum/razdel'.$forum_k['razdel'].'');
exit();

break;
case 'post_del':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта или ее не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("DELETE FROM `forum_post` where `id` = '".$id."'");
header('Location: '.$HOME.'/forum/tema'.$forum_p['tema'].'?selection=top');
exit();

break;
case 'post_otvet':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$forum_p['us']."'"));

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] == $forum_p['us']) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Самому себе отвечать нельзя!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> </div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = '[b]".$us['login'].",[/b] ".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$forum_t['id']."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$forum_p['us']."', `kto` = '".$user['id']."', `text` = 'ответил на ваш пост[url=".$HOME."/forum/tema".$forum_t['id']."?selection=top] в теме[/url]'");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Ответ для: '.nick($forum_p['us']).'</div>
<div class="podmenu"><form action="" method="POST">
Текст сообщения:<br /><textarea name="text"></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';

break;
case 'post_red':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] != $forum_p['us'] && $user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> | Редактирование поста</div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(mb_strlen($text) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($text)) $err = 'Введите текст сообщения!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `forum_post` SET `text` = '".$text."' WHERE `id` = '".$id."'");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Пост пользователя: '.nick($forum_p['us']).'</div>
<div class="podmenu"><form action="" method="POST">
Текст сообщения:<br /><textarea name="text">'.$forum_p['text'].'</textarea><br />
<input type="submit" name="submit" value="Изменить" />
</form></div>';

break;
##############################
############ Цитаты ##########
##############################
case 'post_citata':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$forum_p['us']."'"));

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] == $forum_p['us']) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Цитировать самого себя нельзя!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> </div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `forum_post` SET `citata` = '".$forum_p['text']."...',`citata_us` = '".$forum_p['us']."',`kat` = '".$forum_t['kat']."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$forum_t['id']."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$us['id']."', `kto` = '".$user['id']."', `text` = 'процитировал ваш пост[url=".$HOME."/forum/tema".$forum_t['id']."?selection=top] в теме[/url]'");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Цитата: <br />
<div class="cit">
<b><font color="red">'.$us['login'].'</font></b>: '.nl2br(smile(bb($forum_p['text']))).'
</div></div>
<div class="podmenu"><form action="" method="POST">
Текст сообщения:<br /><textarea name="text"></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';

break;
##############################
###    Кто на форуме       ###
##############################
case 'who_forum':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Кто на форуме</div>';

$gde = '/forum';

$who = mysql_query('SELECT * FROM `users` WHERE `gde` LIKE "%'.$gde.'%" and `viz` > "'.(time()-60).'" ORDER BY `viz` DESC');
while($w = mysql_fetch_assoc($who))
{
echo '<div class="podmenu">'.nick($w['id']).' ('.vremja($w['viz']).')</div>';
}

break;
##############################
######### Кто в теме #########
##############################
case 'who_tema':

$id = abs(intval($_GET['id']));
$tema = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$gde = '/forum/tema'.$tema['id'].'';

if($tema== 0) {
echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Ошибка</div>
<div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Кто в теме</div>';

$who = mysql_query('SELECT * FROM `users` WHERE `gde` LIKE "%'.$gde.'%" and `viz` > "'.(time()-60).'" ORDER BY `viz` DESC');
while($w = mysql_fetch_assoc($who))
{
echo '<div class="podmenu">'.nick($w['id']).' ('.vremja($w['viz']).')</div>';
}

echo '<div class="links">» <a href="'.$HOME.'/forum/tema'.$tema['id'].'">Назад</a></div>';

break;
##############################
########### Мои темы #########
##############################
case 'my_tem':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои темы</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$tema = mysql_query("SELECT * FROM `forum_tema` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($tema))
{

if($a['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu"><img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$a['id'].'">'.$a['name'].'</a>
('.mysql_result(mysql_query('select count(`id`) from `forum_post` where `tema` = "'.$a['id'].'"'),0).')
<a href="/forum/tema'.$a['id'].'?selection=top">>></a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Вы еще не создавали тем!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/myt'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'my_post':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои посты</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$post = mysql_query("SELECT * FROM `forum_post` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.nick($a['us']).' ('.vremja($a['time']).')</div>
<div class="podmenu">'.nl2br(smile(bb($a['text']))).'
<br />
<a href="/forum/tema'.$a['tema'].'?selection=top">Перейти в тему</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Вы еще не оставляли постов!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/myp'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'new_tem':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Новые темы</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `time` > '".(time()-86400)."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$tem = mysql_query("SELECT * FROM `forum_tema` WHERE `time` > '".(time()-86400)."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($tem))
{

if($a['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu"><img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$a['id'].'">'.$a['name'].' </a> ('.vremja($a['time']).')
<a href="/forum/tema'.$a['id'].'?selection=top">>></a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b>За 24часа новых тем нету!</b></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/newt'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'new_post':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Новые посты</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `time` > '".(time()-86400)."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$post = mysql_query("SELECT * FROM `forum_post` WHERE `time` > '".(time()-86400)."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.nick($a['us']).' ('.vremja($a['time']).')</div>
<div class="podmenu">
'.smile(bb($a['text'])).'
<br />
<a href="/forum/tema'.$a['tema'].'?selection=top">Перейти в тему</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>За 24часа новых постов нету!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/newp'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'my_zakl':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои закладки</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_zaklad` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$z = mysql_query("SELECT * FROM `forum_zaklad` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($z))
{

$zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$a['tema']."'"));

if($zaklad['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu">
<img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$zaklad['id'].'">'.$zaklad['name'].'</a> ('.vremja($zaklad['time']).')
<a href="/forum/tema'.$zaklad['id'].'?selection=top">>></a>
</div>
<div class="links"><a href="/forum/zaklad'.$zaklad['id'].'">Убрать из закладок</a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>У вас нет закладок!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/forum/zakl'.$id.'?',$k_page,$page); // Вывод страниц

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>